Bug 167999 - hpfsck fails to check 20gb ipod filesystem
hpfsck fails to check 20gb ipod filesystem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hfsplusutils (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-10 08:47 EDT by Andy Hanton
Modified: 2008-02-28 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 19:07:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Hanton 2005-09-10 08:47:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I haven't reformatted the unit since I bought it.  The apple disk tool says there isn't anything wrong with the disk.  hpfsck claims it has an error.  

Version-Release number of selected component (if applicable):
hfsplusutils-1.0.4-5

How reproducible:
Always

Steps to Reproduce:
1. plug in ipod
2. umount /dev/sdb3
3. hpfsck /dev/sdb3
  

Actual Results:  *** Checking Volume Header:
Volume was not cleanly unmounted
Volume is inconsistent
Reserved attribute in use: 2000
Volume was last Mounted by unknnown implemenatation:
0.01                                            Done ***
*** Checking Backup Volume Header:
Volume is inconsistent
Reserved attribute in use: 2000
Volume was last Mounted by unknnown implemenatation:
JSFH                                            Done ***
*** Checking Extents Btree:
                                                Done ***
*** Checking Catalog Btree:
checkbtree_key_by_index: offset out of range 7600 >= 2000
                                *** Check stopped ***
hpfsck: hpfsck: no error (Success)

Expected Results:  hpfsck shouldn't find any errors.  

Additional info:
Comment 1 Andy Hanton 2005-09-10 09:14:43 EDT
Run in verbose mode it prints this:
*** Checking Volume Header:
Volume is wrapped in HFS volume  (use hfsck to check this)
Embedded HFS+ volume at 0x17A000 (0x2530050) of 0x200 sized Blocks
signature       : +H
version         : 4
attributes      : 0X2100
last_mount_vers : xL+H
reserved        : 32
create_date     : Thu Jan 15 13:44:49 2004
modify_date     : Sat Sep 10 08:54:02 2005
backup_date     : Thu Dec 31 19:00:00 1903
checked_date    : Thu Jan 15 21:44:49 2004
file_count      : 138
folder_count    : 60
blocksize       : 1000
total_blocks    : 4874250
free_blocks     : 4741245
next_alloc      : 1157874
rsrc_clump_sz   : 65536
data_clump_sz   : 65536
next_cnid       : 1330
write_count     : 1067
encodings_bmp   : 0X1
                  Allocation file
total_size          : 0X98000
clump_size          : 0X98000
total_blocks        : 0X98
extents             : (0X1221+0X98) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Extension file
total_size          : 0X400000
clump_size          : 0X400000
total_blocks        : 0X400
extents             : (0X821+0X400) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Catalog file
total_size          : 0X600000
clump_size          : 0X600000
total_blocks        : 0X600
extents             : (0XC21+0X600) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Attribute file
total_size          : 0
clump_size          : 0
total_blocks        : 0
extents             : (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Start file
total_size          : 0
clump_size          : 0
total_blocks        : 0
extents             : (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
Reserved attribute in use: 2000
Volume was last Mounted by hfsplus kernel module:
xL+H                                            Done ***
*** Checking Backup Volume Header:
signature       : +H
version         : 4
attributes      : 0X2900
last_mount_vers : JSFH
reserved        : 32
create_date     : Thu Jan 15 13:44:49 2004
modify_date     : Sat Sep 10 08:40:10 2005
backup_date     : Thu Dec 31 19:00:00 1903
checked_date    : Thu Jan 15 21:44:49 2004
file_count      : 138
folder_count    : 60
blocksize       : 1000
total_blocks    : 4874250
free_blocks     : 4741245
next_alloc      : 1157874
rsrc_clump_sz   : 65536
data_clump_sz   : 65536
next_cnid       : 1330
write_count     : 1065
encodings_bmp   : 0X1
                  Allocation file
total_size          : 0X98000
clump_size          : 0X98000
total_blocks        : 0X98
extents             : (0X1221+0X98) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Extension file
total_size          : 0X400000
clump_size          : 0X400000
total_blocks        : 0X400
extents             : (0X821+0X400) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Catalog file
total_size          : 0X600000
clump_size          : 0X600000
total_blocks        : 0X600
extents             : (0XC21+0X600) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Attribute file
total_size          : 0
clump_size          : 0
total_blocks        : 0
extents             : (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
                  Start file
total_size          : 0
clump_size          : 0
total_blocks        : 0
extents             : (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0) (0+0)
Volume is inconsistent
Reserved attribute in use: 2000
Volume was last Mounted by unknnown implemenatation:
JSFH                                            Done ***
*** Checking Extents Btree:
  depth       : 0
  root        : 0
  leaf_count  : 0
  leaf_head   : 0
  leaf_tail   : 0
  node_size   : 0X1000
  max_key_len : 0XA
  node_count  : 0X400
  free_nodes  : 0X3FF
  reserved1   : 0
  clump_size  : 0X400000
  btree_type  : 0
  reserved2   : 0
 !HFSPLUS_BAD_CLOSE HFSPLUS_TREE_BIGKEYS  !HFSPLUS_TREE_VAR_NDXKEY_SIZE
Node descriptor for Node 0
next     : 0
prev     : 0
height   : 0
num_rec  : 0
reserved : 0
height   : 0
HFSP_NODE_NDX
                                                Done ***
*** Checking Catalog Btree:
  depth       : 0X2
  root        : 0X3
  leaf_count  : 0X18E
  leaf_head   : 0X2
  leaf_tail   : 0X39
  node_size   : 0X2000
  max_key_len : 0X204
  node_count  : 0X300
  free_nodes  : 0X2D0
  reserved1   : 0
  clump_size  : 0X600000
  btree_type  : 0
  reserved2   : 0XCF
 !HFSPLUS_BAD_CLOSE HFSPLUS_TREE_BIGKEYS  HFSPLUS_TREE_VAR_NDXKEY_SIZE
Node descriptor for Node 3
next     : 0
prev     : 0
height   : 0X2
num_rec  : 46
reserved : 0
height   : 0X2
HFSP_NODE_NDX
Node    3, Record  0 is at pos 0E00,Backptr is at offset 1FFE
Node descriptor for Node 2
next     : 0X38
prev     : 0
height   : 0X1
num_rec  : 16
reserved : 0
height   : 0X1
HFSP_NODE_LEAF
Node    2, Record  0 is at pos 0E00,Backptr is at offset 1FFE
checkbtree_key_by_index: offset out of range 7600 >= 2000
                                *** Check stopped ***
hpfsck: hpfsck: no error (Success)
Comment 2 Christian Iseli 2007-01-17 18:18:15 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 3 petrosyan 2008-02-28 19:07:41 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.